@charset "ISO-8859-1";

a {
	color: black;
}

.section-title, #close-menu {
	-webkit-user-select: none;
	-moz-user-select: none;
	-ms-user-select: none;
	-o-user-select: none;
	user-select: none;
}

#header-controls {
	order: 3;
	-webkit-box-flex: 0 0 auto;
	-moz-box-flex: 0 0 auto;
	-webkit-flex: 0 0 auto;
	-ms-flex: 0 0 auto;
	flex: 0 0 auto;
	white-space: nowrap;
	margin-left: 20px;
}

#search-controls {
	-webkit-box-flex: 2 2 420px;
	-moz-box-flex: 2 2 420px;
	-webkit-flex: 2 2 420px;
	-ms-flex: 2 2 420px;
	flex: 2 2 420px;
	order: 2;
	margin-left: 20px;
	margin-right: auto;
	max-width: 420px;
}

#search-field {
	width: 95%;
	max-width: 410px;
	height: 20px;
	padding-left: 5px;
	padding-right: -50px;
	/*border: 1px solid rgb(107, 149, 191);*/ /* charis 20161215 */
	border: 1px solid #046A38; /* charis 20161215 */
	border-radius: 5px;
}

#search-field:focus {
	box-shadow: 0px 0px 10px #fff;
}

#clear-search {
	display: none;
	height: 18px;
	margin-left: -34px;
}

#search-results {
	display: none;
	overflow: hidden;
	background-color: rgba(228, 228, 228, 0.9);
	line-height: 20px;
	/*border: 1px solid rgb(107, 149, 191);*/ /* charis 20161215 */
	border: 1px solid #046A38; /* charis 20161215 */
	-webkit-border-bottom-right-radius: 5px;
	-webkit-border-bottom-left-radius: 5px;
	-moz-border-radius-bottomright: 5px;
	-moz-border-radius-bottomleft: 5px;
	border-bottom-right-radius: 5px;
	border-bottom-left-radius: 5px;
	width: 96%;
	height: 0px;
	z-index: 1000;
	background-color: rgba(228, 228, 228, 0.9);
}

#search-places-list, #search-datasets-list {
	float: none;
	display: block;
	max-height: 260px;
	width: 100%;
	overflow-y: scroll;
	overflow-x: hidden;
	white-space: nowrap;
	text-overflow: ellipsis;
	font-size: 10pt;
}

.header {
	display: block;
	font-weight: bold;
	margin: 5px;
	/*color: rgb(107, 149, 191);*/ /* charis 20161215 */
	color: rgb(4, 106, 56); /* charis 20161215 */
	/*border-bottom: 1px solid rgb(107, 149, 191);*/ /* charis 20161215 */
	border-bottom: 1px solid rgb(4, 106, 56); /* charis 20161215 */
}

.search-results-list {
	display: block;
	color: black;
}

#user-link {
	/*color: white;*/ /* charis 20161215 */
	color: #046A38; /* charis 20161215 */
	top: 5px;
	font-size: 10pt;
	float: left;
	margin-right: 10px;
}

#help-link {
	bottom: 5px;
	color: white;
	font-size: 8pt;
	margin-right: 20px;
	position: absolute;
	text-decoration: none;
	right: 0;
}

#help-button {
	margin-right: 10px;
	margin-top: 10px;
	line-height: 10px;
	height: 20px;
	flex: 0 0 auto;
	order: 4;
	white-space: nowrap;
}

#tou-button {
	margin-right: 20px;
	margin-top: 10px;
	line-height: 10px;
	height: 20px;
	flex: 0 0 auto;
	order: 4;
	white-space: nowrap;
}

#help-panel, #settings-panel {
	position: absolute;
	right: 0;
	margin-right: 10px;
	top: 45px;
	max-width: 300px;
	white-space: normal;
	-webkit-box-shadow: 0 5px 5px -5px #333;
	-moz-box-shadow: 0 5px 5px -5px #333;
	box-shadow: 0 5px 5px -5px #333;
}

.panel {
	display: none;
	padding: 20px;
	margin-right: 40px;
	border-radius: 5px;
	white-space: nowrap;
	z-index: 1000;
	background-color: rgba(228, 228, 228, 0.85);
	background: -moz-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(219, 219, 219, 0.88) 20%, rgba(209, 209, 209, 0.9) 33%,
		rgba(254, 254, 254, 1) 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(226,
		226, 226, 0.85)), color-stop(20%, rgba(219, 219, 219, 0.88)),
		color-stop(33%, rgba(209, 209, 209, 0.9)),
		color-stop(100%, rgba(254, 254, 254, 1)));
	background: -webkit-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(219, 219, 219, 0.88) 20%, rgba(209, 209, 209, 0.9) 33%,
		rgba(254, 254, 254, 1) 100%);
	background: -o-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(219, 219, 219, 0.88) 20%, rgba(209, 209, 209, 0.9) 33%,
		rgba(254, 254, 254, 1) 100%);
	background: -ms-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(219, 219, 219, 0.88) 20%, rgba(209, 209, 209, 0.9) 33%,
		rgba(254, 254, 254, 1) 100%);
	background: linear-gradient(to bottom, rgba(226, 226, 226, 0.85) 0%,
		rgba(219, 219, 219, 0.88) 20%, rgba(209, 209, 209, 0.9) 33%,
		rgba(254, 254, 254, 1) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#d9e2e2e2',
		endColorstr='#fefefe', GradientType=0);
}

.map {
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	background: rgba(0, 0, 0, 0) url("../images/background.png") repeat
		scroll 0 0;
}

#overview-map {
	position: absolute;
	bottom: 50px;
}

.ol-scale-line {
	position: absolute !important;
	bottom: 20px !important;
	left: 10px !important;
}

.ol-zoom-in, .ol-zoom-out, .ol-zoom-extent>button, .ol-scale-line>*,
	#overview-map button {
	/*background-color: rgba(107, 149, 191, 0.6)*/ !important; /* charis 20161215 */
	background-color: rgba(4, 106, 56, 0.6) !important; /* charis 20161215 */
	color: white !important;
	border-color: white !important;
}

.ol-zoom {
	margin-top: 60px;
}

.ol-zoom-extent {
	margin-top: 60px;
}

.ol-attribution {
	display: none;
	/* bottom: 35px !important;
	right: 10px !important; */
}

#menu {
	position: absolute;
	right: 10px;
	top: 45px;
	width: 380px;
	-webkit-box-shadow: 0 5px 5px -5px #333;
	-moz-box-shadow: 0 5px 5px -5px #333;
	box-shadow: 0 5px 5px -5px #333;
}

#menu-contents {
	/*border-left: 2px solid rgb(107, 149, 191);*/ /* charis 20161215 */
	border-left: 2px solid #7d7d7d; /* charis 20161215 */
	border-bottom: 2px solid #7d7d7d; /* charis 20161215 */
	/* charis 20161215 */
	border-right: 2px solid #7d7d7d; /* charis 20161215 */
	/* charis 20161215 */
}

.tab-content {
	background-color: white; /* rgba(228, 228, 228, 0.9); */
}

.legend-icon {
	width: 38px;
	max-height: 20px;
	display: inline;
	margin-left: 5px;
	margin-right: 5px;
	vertical-align: top;
}

.tab {
	padding: 10px;
	padding-bottom: 0px;
	overflow: hidden;
}

#datasets-content {
	/* border-top: 1px solid rgb(220, 220, 220); */
	border-bottom: 1px solid rgb(220, 220, 220);
	overflow-x: hidden;
	overflow-y: scroll;
}

.spacer, .divider {
	height: 10px;
}

.divider {
	position: absolute;
	cursor: n-resize;
	width: 90%;
}

.divider img {
	height: 8px;
	width: 24px;
	display: block;
	margin-left: auto;
	margin-right: auto;
}

#active-layers {
	margin-top: 40px;
	bottom: 0;
}

#active-layers-entries, #saved-extents-entries {
	height: auto;
	overflow-y: scroll;
	overflow-x: hidden;
}

.section-controls {
	font-size: 11pt;
	float: bottom;
	background-color: rgba(220, 220, 220, 0.5);
	margin-top: 5px;
	padding-top: 2px;
	padding-bottom: 2px;
	border-radius: 5px;
}

#menu>span {
	color: inherit;
	text-decoration: none !important;
}

.menu-section {
	margin-bottom: 10px;
}

.product-header {
	font-size: 11pt;
	font-weight: bold;
	margin-top: 10px;
	cursor: pointer;
}

.product-header>span {
	margin-left: 10px;
}

.service-header {
	font-size: 11pt;
	text-decoration: none;
	color: black;
	font-weight: normal;
	margin-bottom: 5px;
	margin-top: 10px;
	margin-left: 25px;
	margin-right: 10px;
	cursor: pointer;
}

.layer-entry {
	font-size: 11pt;
	font-weight: normal;
	padding-bottom: 5px;
	margin-left: 55px;
}

.active-layer-entry {
	height: 45px;	/* fix for IE */
	font-size: 11pt;
	font-weight: normal;
	cursor: move;
	border-radius: 10px;
	margin-bottom: 10px;
}

.active-layer-entry input[type="range"] {
	display: inline-block;
	max-width: 80px;
}

.product-header, .service-header, .layer-entry, .active-layer-entry {
	margin-right: 10px;
}

.layer-controls {
	display: inline;
	float: right;
}

.layer-entry .layer-entry-link, .active-layer-entry span {
	text-decoration: none;
	color: black;
	display: inline-block;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.layer-entry .layer-entry-link {
	width: 185px;
}

.active-layer-entry span {
	width: 200px;
}

#saved-carts {
	margin-top: 40px;
}

#cart-entries {
	font-size: 11pt;
	overflow-y: scroll;
	overflow-x: hidden;
}

#saved-carts-entries {
	font-size: 11pt;
	overflow-y: auto;
	overflow-x: hidden;
}

#saved-carts-controls {
	margin-top: -10px;
}

#cart-badge {
	display: block;
	position: absolute;
	top: -12px;
	right: 2px;
	line-height: 16px;
	height: 16px;
	padding: 0 5px;
	color: white;
	text-shadow: 0 1px rgba(0, 0, 0, 0.25);
	border: 1px solid;
	border-radius: 10px;
	-webkit-box-shadow: inset 0 1px rgba(255, 255, 255, 0.3), 0 1px 1px
		rgba(0, 0, 0, 0.08);
	box-shadow: inset 0 1px rgba(255, 255, 255, 0.3), 0 1px 1px
		rgba(0, 0, 0, 0.08);
	background: #faba3e;
	border-color: #f4a306;
	background-image: -webkit-linear-gradient(top, #fcd589, #faba3e);
	background-image: -moz-linear-gradient(top, #fcd589, #faba3e);
	background-image: -o-linear-gradient(top, #fcd589, #faba3e);
	background-image: linear-gradient(to bottom, #fcd589, #faba3e);
	z-index: 1000;
}

.cart-item {
	margin-left: 10px;
	margin-top: 10px;
	border-bottom: 1px solid rgb(220, 220, 220);
	width: 325px;	/* fix for hidden buttons in Chrome */
}

.cart-item span {
	width: 200px;
}

.cart-item>table {
	margin-left: 20px;
	display: inline;
}

#empty-cart {
	margin-left: 30px;
	margin-right: 30px;
}

#close-menu {
	background-color: rgb(107, 149, 191);
	background: -moz-linear-gradient(top, rgba(107, 149, 191, 0.75) 0%,
		rgba(85, 136, 188, 0.85) 40%, rgba(83, 135, 188, 0.85) 44%,
		rgba(76, 128, 181, 0.85) 53%, rgba(79, 130, 182, 0.85) 58%,
		rgba(107, 149, 191, 0.75) 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(107,
		149, 191, 0.75)), color-stop(40%, rgba(85, 136, 188, 0.85)),
		color-stop(44%, rgba(83, 135, 188, 0.85)),
		color-stop(53%, rgba(76, 128, 181, 0.85)),
		color-stop(58%, rgba(79, 130, 182, 0.85)),
		color-stop(100%, rgba(107, 149, 191, 0.75)));
	background: -webkit-linear-gradient(top, rgba(107, 149, 191, 0.75) 0%,
		rgba(85, 136, 188, 0.85) 40%, rgba(83, 135, 188, 0.85) 44%,
		rgba(76, 128, 181, 0.85) 53%, rgba(79, 130, 182, 0.85) 58%,
		rgba(107, 149, 191, 0.75) 100%);
	background: -o-linear-gradient(top, rgba(107, 149, 191, 0.75) 0%,
		rgba(85, 136, 188, 0.85) 40%, rgba(83, 135, 188, 0.85) 44%,
		rgba(76, 128, 181, 0.85) 53%, rgba(79, 130, 182, 0.85) 58%,
		rgba(107, 149, 191, 0.75) 100%);
	background: -ms-linear-gradient(top, rgba(107, 149, 191, 0.75) 0%,
		rgba(85, 136, 188, 0.85) 40%, rgba(83, 135, 188, 0.85) 44%,
		rgba(76, 128, 181, 0.85) 53%, rgba(79, 130, 182, 0.85) 58%,
		rgba(107, 149, 191, 0.75) 100%);
	/*background: linear-gradient(to bottom, rgba(107, 149, 191, 0.75) 0%,
		rgba(85, 136, 188, 0.85) 40%, rgba(83, 135, 188, 0.85) 44%,
		rgba(76, 128, 181, 0.85) 53%, rgba(79, 130, 182, 0.85) 58%,
		rgba(107, 149, 191, 0.75) 100%);*/ /* charis 20161215 */
	background: linear-gradient(to bottom, rgba(4, 106, 56, 0.75) 0%,
		rgba(4, 106, 56, 0.85) 40%, rgba(4, 106, 56, 0.85) 44%,
		rgba(4, 106, 56, 0.85) 53%, rgba(4, 106, 56, 0.85) 58%,
		rgba(4, 106, 56, 0.75) 100%); /* charis 20161215 */	
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#bf6b95bf',
		endColorstr='#bf6b95bf', GradientType=0);
	color: white;
	display: block;
	font-size: 9pt;
	font-weight: bold;
	text-align: center;
	text-decoration: none;
	padding-top: 1px;
	padding-bottom: 1px;
	cursor: pointer;
	-webkit-border-bottom-right-radius: 10px;
	-webkit-border-bottom-left-radius: 10px;
	-moz-border-radius-bottomright: 10px;
	-moz-border-radius-bottomleft: 10px;
	border-bottom-right-radius: 10px;
	border-bottom-left-radius: 10px;
}

.section-title {
	/*color: rgb(107, 149, 191) !important;*/ /* charis 20161215 */
	color: rgb(4, 106, 56) !important; /* charis 20161215 */
	font-weight: bold;
	margin-top: 10px;
	margin-bottom: 10px;
	text-decoration: none !important;
	color: rgb(107, 149, 191);
	vertical-align: middle;
	font-size: 14pt;
	text-transform: uppercase;
	display: block;
	cursor: pointer;
	/*border-bottom: 2px solid rgb(107, 149, 191);*/ /* charis 20161215 */
	border-bottom: 2px solid rgb(4, 106, 56); /* charis 20161215 */
}

.ol-mouse-position {
	position: relative !important;
	display: inline !important;
	right: auto !important;
	top: auto !important;
}

#popover-panel {
	display: none;
	position: absolute;
	padding: 10px;
	margin-left: 20px;
	margin-top: 20px;
	width: 400px;
	height: 300px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
	-webkit-box-shadow: 14px 10px 45px -14px rgba(0, 0, 0, 0.69);
	-moz-box-shadow: 14px 10px 45px -14px rgba(0, 0, 0, 0.69);
	box-shadow: 14px 10px 45px -14px rgba(0, 0, 0, 0.69);
	z-index: 1000;
	background-color: rgba(228, 228, 228, 0.85);
	background: -moz-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(219, 219, 219, 0.88) 20%, rgba(209, 209, 209, 0.9) 33%,
		rgba(254, 254, 254, 1) 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(226,
		226, 226, 0.85)), color-stop(20%, rgba(219, 219, 219, 0.88)),
		color-stop(33%, rgba(209, 209, 209, 0.9)),
		color-stop(100%, rgba(254, 254, 254, 1)));
	background: -webkit-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(219, 219, 219, 0.88) 20%, rgba(209, 209, 209, 0.9) 33%,
		rgba(254, 254, 254, 1) 100%);
	background: -o-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(219, 219, 219, 0.88) 20%, rgba(209, 209, 209, 0.9) 33%,
		rgba(254, 254, 254, 1) 100%);
	background: -ms-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(219, 219, 219, 0.88) 20%, rgba(209, 209, 209, 0.9) 33%,
		rgba(254, 254, 254, 1) 100%);
	background: linear-gradient(to bottom, rgba(226, 226, 226, 0.85) 0%,
		rgba(219, 219, 219, 0.88) 20%, rgba(209, 209, 209, 0.9) 33%,
		rgba(254, 254, 254, 1) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#d9e2e2e2',
		endColorstr='#fefefe', GradientType=0);
}

#popover-panel-text {
	overflow: auto;
	height: 90%;
	margin: 10px;
}

#popover-panel-text div div div{
	color: blue;
}

#message-panel, #layer-props-panel {
	width: 550px;
	padding: 20px;
}

#message-panel, #layer-props-panel, #props-panel-min {
	display: none;
	position: absolute;
	-webkit-border-top-right-radius: 5px;
	-webkit-border-top-left-radius: 5px;
	-moz-border-radius-topright: 5px;
	-moz-border-radius-topleft: 5px;
	border-top-right-radius: 5px;
	border-top-left-radius: 5px;
	-webkit-box-shadow: 14px 10px 45px -14px rgba(0, 0, 0, 0.69);
	-moz-box-shadow: 14px 10px 45px -14px rgba(0, 0, 0, 0.69);
	box-shadow: 14px 10px 45px -14px rgba(0, 0, 0, 0.69);
	z-index: 999;
	background-color: rgba(228, 228, 228, 0.85);
	background: -moz-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(214, 214, 214, 0.9) 32%, rgba(216, 216, 216, 0.94) 61%,
		rgba(254, 254, 254, 1) 100%);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(226,
		226, 226, 0.85)), color-stop(32%, rgba(214, 214, 214, 0.9)),
		color-stop(61%, rgba(216, 216, 216, 0.94)),
		color-stop(100%, rgba(254, 254, 254, 1)));
	background: -webkit-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(214, 214, 214, 0.9) 32%, rgba(216, 216, 216, 0.94) 61%,
		rgba(254, 254, 254, 1) 100%);
	background: -o-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(214, 214, 214, 0.9) 32%, rgba(216, 216, 216, 0.94) 61%,
		rgba(254, 254, 254, 1) 100%);
	background: -ms-linear-gradient(top, rgba(226, 226, 226, 0.85) 0%,
		rgba(214, 214, 214, 0.9) 32%, rgba(216, 216, 216, 0.94) 61%,
		rgba(254, 254, 254, 1) 100%);
	background: linear-gradient(to bottom, rgba(226, 226, 226, 0.85) 0%,
		rgba(214, 214, 214, 0.9) 32%, rgba(216, 216, 216, 0.94) 61%,
		rgba(254, 254, 254, 1) 100%);
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#d9e2e2e2',
		endColorstr='#fefefe', GradientType=0);
	
}

#message-panel {
	left: 30%;
	bottom: -100px;
	text-align: center;
}

#layer-props-panel {
	left: 100px;
	/*bottom: 100px;*/ /**/
	text-align: left;
	max-height: 500px; /*400px*/
	padding-right: 2px !important;
	/*padding-bottom: 50px;*/ /**/
}

#layer-props-list {
	height: 100%;
	max-height: 450px; /*400px*/
	overflow-x: auto; /* hidden */
	overflow-y: auto; /* scroll */
	white-space: normal;
}

#message-panel-title {
	font-weight: bold;
}

#message-panel-text {
	padding-top: 10px;
	padding: 5px;
	text-shadow: 2px 2px 2px rgba(150, 150, 150, 0.6);
}

#props-panel-min {
	position: absolute;
	bottom: -80px;
	height: 80px;
	left: 120px;
	padding-left: 10px;
	padding-right: 10px;
	cursor: pointer;
	font-weight: bold;
	font-size: 11pt;
}


#rectangle {
	border: 1px solid #0f0;
	height: 60px;
	margin: 30px auto 15px;
	position: relative;
	width: 200px;
}

.info-button, .delete-button {
	display: inline-block;
	float: right;
	position: relative;
	width: 15px;
	height: 15px;
	border-radius: 50%;
	color: white;
	text-align: center;
	vertical-align: center;
	text-decoration: none;
	font-weight: bold;
	font-size: 14px;
	background-color: transparent;
	box-shadow: none;
	outline: none;
    cursor: pointer;
}

.info-button {
	font-family: serif;
	/*background: rgb(107, 149, 191);*/ /* charis 20161215 */
	background: rgb(4, 106, 56); /* charis 20161215 */
}

.info-button:hover {
	font-family: serif; 
	/*background: rgb(87, 129, 171);*/ /* charis 20161215 */
	background: rgb(132, 189, 0); /* charis 20161215 */
}

.delete-button {
	background-image: url('../images/remove.png');
	width: 18px;
	height: 18px;
}

.delete-button:hover {
	background-image: url('../images/remove_hover.png');
	width: 18px;
	height: 18px;
}

.cart-button {
	display: inline-block;
	margin-left: 5px;
	margin-right: 5px;
}

.cart-style-reset {
  all: unset; /* removes all default button styles */
  display: inline-block;
  cursor: pointer;
  text-decoration: none; /* like a link */
  background: none;
  padding: 0;
  margin: 0;
  border: none;
  font: inherit;
  color: inherit;
  background-color: transparent;
}

.cart-button.cart-style-reset:hover,
.cart-button.cart-style-reset:focus,
.cart-button-expanded.cart-style-reset:hover,
.cart-button-expanded.cart-style-reset:focus {
  background-color: transparent !important;
  box-shadow: none;
  outline: none;
}


.control-buttons {
	display: inline;
	float: right;
}

#circle-left {
	background-color: #0f0;
	border-radius: 50%;
	bottom: -3px;
	height: 6px;
	left: -3px;
	position: absolute;
	width: 6px;
}

#circle-right {
	background-color: #0f0;
	border-radius: 50%;
	height: 6px;
	position: absolute;
	right: -3px;
	top: -3px;
	width: 6px;
}

.sw-container {
	bottom: -10px;
	left: -70px;
	position: absolute;
}

.ne-container {
	position: absolute;
	right: -70px;
	top: -10px;
}

.sw-coord {
	display: block;
	width: 60px;
}

.ne-coord {
	display: block;
	width: 60px;
}

#area-size-display {
	color: rgb(107, 149, 191);
	text-shadow: 2px 2px 2px rgba(150, 150, 150, 0.6);
	font-size: 10pt;
	padding: 5px;
	margin: 5px;
	-webkit-border-radius: 5px;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
	border-radius: 5px;
}

/*----- Tabs -----*/
.tabs {
	display: table;
	table-layout: fixed;
}

.tab-links {
	margin-left: -1px;
	display: table-row;
}

.tab-links:after {
	display: block;
	clear: both;
	content: '';
}

.tab-links div {
	display: table-cell;
	list-style: none;
}

#filler {
	width: 100%;
	background-color: rgba(107, 149, 191, 0.8);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(107,
		149, 191, 0.55)), color-stop(44%, rgba(83, 135, 188, 0.68)),
		color-stop(53%, rgba(76, 128, 181, 0.71)),
		color-stop(100%, rgba(107, 149, 191, 0.85)));
	background: -webkit-linear-gradient(top, rgba(107, 149, 191, 0.55) 0%,
		rgba(83, 135, 188, 0.68) 44%, rgba(76, 128, 181, 0.71) 53%,
		rgba(107, 149, 191, 0.85) 100%);
	background: -o-linear-gradient(top, rgba(107, 149, 191, 0.55) 0%,
		rgba(83, 135, 188, 0.68) 44%, rgba(76, 128, 181, 0.71) 53%,
		rgba(107, 149, 191, 0.85) 100%);
	background: -ms-linear-gradient(top, rgba(107, 149, 191, 0.55) 0%,
		rgba(83, 135, 188, 0.68) 44%, rgba(76, 128, 181, 0.71) 53%,
		rgba(107, 149, 191, 0.85) 100%);		
	/*background: linear-gradient(to bottom, rgba(107, 149, 191, 0.55) 0%,
		rgba(83, 135, 188, 0.68) 44%, rgba(76, 128, 181, 0.71) 53%,
		rgba(107, 149, 191, 0.85) 100%);*/ /* charis 20161215 */
	background: linear-gradient(to bottom, rgba(4, 106, 56, 0.55) 0%,
		rgba(4, 106, 56, 0.68) 44%, rgba(4, 106, 56, 0.71) 53%,
		rgba(4, 106, 56, 0.85) 100%); /* charis 20161215 */		
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#8c6b95bf',
		endColorstr='#d96b95bf', GradientType=0);
}

.tab-links a {
	position: relative;
	padding: 5px 10px;
	display: inline-block;
	/*border: 1px solid rgb(107, 149, 191);*/ /* charis 20161215 */
	border: 1px solid #7d7d7d; /* charis 20161215 */
	font-size: 14px;
	font-weight: bold;
	text-decoration: none;
	transition: all linear 0.15s;
	background-color: rgba(107, 149, 191, 0.8);
	background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, rgba(107,
		149, 191, 0.55)), color-stop(44%, rgba(83, 135, 188, 0.68)),
		color-stop(53%, rgba(76, 128, 181, 0.71)),
		color-stop(100%, rgba(107, 149, 191, 0.85)));
	background: -webkit-linear-gradient(top, rgba(107, 149, 191, 0.55) 0%,
		rgba(83, 135, 188, 0.68) 44%, rgba(76, 128, 181, 0.71) 53%,
		rgba(107, 149, 191, 0.85) 100%);
	background: -o-linear-gradient(top, rgba(107, 149, 191, 0.55) 0%,
		rgba(83, 135, 188, 0.68) 44%, rgba(76, 128, 181, 0.71) 53%,
		rgba(107, 149, 191, 0.85) 100%);
	background: -ms-linear-gradient(top, rgba(107, 149, 191, 0.55) 0%,
		rgba(83, 135, 188, 0.68) 44%, rgba(76, 128, 181, 0.71) 53%,
		rgba(107, 149, 191, 0.85) 100%);
	/*background: linear-gradient(to bottom, rgba(107, 149, 191, 0.55) 0%,
		rgba(83, 135, 188, 0.68) 44%, rgba(76, 128, 181, 0.71) 53%,
		rgba(107, 149, 191, 0.85) 100%);*/ /* charis 20161215 */
	background: linear-gradient(to bottom, rgba(4, 106, 56, 0.55) 0%,
		rgba(4, 106, 56, 0.68) 44%, rgba(4, 106, 56, 0.71) 53%,
		rgba(4, 106, 56, 0.85) 100%); /* charis 20161215 */	
	filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#8c6b95bf',
		endColorstr='#d96b95bf', GradientType=0);
	color: white;
}

.tab-links a:hover {
	text-decoration: none;
	background: white;
	-moz-box-shadow: inset 0 -5px 10px -10px #000000;
    -webkit-box-shadow: inset 0 -5px 10px -10px #000000;
    box-shadow: inset 0 -5px 10px -10px #000000;
	background-color: white;
	color: #4c4c4c;
}

.tab-links>div.active a, .tab-links>div.active a:hover {
	background: white;
	background-color: white;
	color: #4c4c4c;
	border: 1px solid white;
	-moz-box-shadow: none;
	-webkit-box-shadow: none;
	box-shadow: none;
}

.tab {
	display: none;
}

.tab.active {
	display: block;
}

#location-marker {
	width: 32px;
	z-index: 999;
}

#coords-select-box {
	display: inline;
}

#timestamp-prev {
	order: 0;
	-webkit-order: 0;
	flex: 0 0 15px;
	-webkit-flex: 0 0 15px;
	margin-top: -12px;
	margin-right: 10px; /*charis*/
	white-space: nowrap;
}

#timestamp-next {
	order: 2;
	-webkit-order: 2;
	flex: 0 0 15px;
	-webkit-flex: 0 0 15px;
	margin-top: -12px;
	margin-right: 100px; /*charis*/
	white-space: nowrap;
}

#timestamp-range {
	display: flex;
	display: -webkit-flex;
	align-items: center;
	-webkit-align-items: center;
	justify-content: center;
	-webkit-justify-content: center;
	flex-direction: row;
	max-height: 15px;
	margin-top: 25px;
	margin-bottom: 20px;
}

#timestamp-slider {
	order: 1;
	-webkit-order: 1;
	flex: 10 1 auto;
	-webkit-flex: 10 1 auto;
}